Subject: Re: [Roll] P2P route discovery: "Good enough" criteria

From: Mukul Goyal <[email-masked]>
Date: Wed, 23 Jun 2010 19:13:01 -0500 (CDT)

Hi JP,

The next version of the P2P draft will have an applicability statement along the lines discussed below. In some application contexts, there will be a need to measure the cost of along-DAG route to determine the good enough criteria. In other application contexts, the origin router will have a pretty good idea of the "good enough" criteria without doing any measurement. E.g. an airduct controller may already know that its supervisor is within 5 hops. 

Thanks
Mukul

----- Original Message -----
From: "JP Vasseur" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: "roll" <[email-masked]>
Sent: Wednesday, June 23, 2010 1:14:18 PM
Subject: Re: [Roll] P2P route discovery: "Good enough" criteria

On Jun 19, 2010, at 4:19 PM, Mukul Goyal wrote:

> Here is some text from the Introduction section of draft-dt-roll-p2p-
> rpl-01:
>
> The specified scheme is based on a reactive on-demand approach, which
>   enables a router to discover one or more "good-enough" routes in
>   either direction between itself and another router in the LLN
> without
>   any constraints regarding the existing DAG-membership of the links
>   that such routes may use.
>
> JP commented:
> JP> This will be an aspect triggering some discussion. How "good"
> is"good enough" ? You will need some text to elaborate here or point
> to another section explaining what is meant by "good enough"
>
> I think there needs to be an Applicability section in the draft that
> talks about how and when the P2P route discovery might be invoked.
> Such a section will be added in the next version of the draft.
>
> Basically, the idea is that the origin router will first measure the
> cost of the DAG-based route to/from the target router (using the
> Measurement Request and Measurement Reply messages that were part of
> the 00 version of the draft and would now be proposed in a separate
> draft).
>
> Once the origin router knows the cost of the DAG-based route, it can
> choose the good enough criteria for the P2P routes it wants to
> discover. This criteria can be specified as contraints in the Metric
> Container associated with Route Discovery option.
>
> In case, the origin and target routers are not connected via a DAG
> or the cost measurement of the DAG-based route fails, the origin
> router will have to guess the good enough criteria. Once, the
> initial route discovery succeeds or fails, the origin router will
> have a better idea of how to set the good enough criteria.
>

That does make sense. One slight comment though in the spirit of the
text that I had proposed. It is clearly important to describe the
several required steps though, especially in the context of
constrained networks. Having to first determine the path quality,
guess the good enough criteria and then potentially run a reactive on-
demand routing protocol has some cost (for a gain that is not known a
priori). I am not saying that this is not worth it, but in that
particular, context it must be spelled out in the document itself.

Thanks

JP.

> Comments?
>
> Thanks
> Mukul
>
> _______________________________________________ Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: JP Vasseur <[email-masked]>
Date: Thu, 24 Jun 2010 08:39:55 +0200

Excellent, thanks Mukul.

JP.

On Jun 24, 2010, at 2:13 AM, Mukul Goyal wrote:

> Hi JP,
>
> The next version of the P2P draft will have an applicability  
> statement along the lines discussed below. In some application  
> contexts, there will be a need to measure the cost of along-DAG  
> route to determine the good enough criteria. In other application  
> contexts, the origin router will have a pretty good idea of the  
> "good enough" criteria without doing any measurement. E.g. an  
> airduct controller may already know that its supervisor is within 5  
> hops.
>
> Thanks
> Mukul
>